osl::record::RussianCharacters Struct Reference

ロシア文字（激指フォント用） More...

`#include <kanjiPrint.h>`

Inheritance diagram for osl::record::RussianCharacters:

## Public Member Functions

const std::string & | getDan (const size_t index) const
| 段数の文字を返す
const std::string & | getSuji (const size_t index) const
| 筋の文字を返す。駒の文字幅に合わせる必要がある。
const std::string & | getPiece (const size_t index) const
| 盤面上の駒を返す
Public Member Functions inherited from osl::record::Characters
virtual | ~Characters ()
const std::string & | getStand (const size_t index) const
| 持ち駒の漢字文字を返す。1文字を期待する
const std::string & | stand_kanji (const PtypeO &ptypeo) const
const std::string & | kanji (const PtypeO &ptypeo) const
const std::string & | kanji (Ptype ptype) const

## Static Public Attributes

static const CArray< std::string, 10 > | dan = osl::record::StandardCharacters::dan
static const CArray< std::string, 10 > | suji = osl::record::StandardCharacters::suji
static const CArray< std::string, 32 > | pieces
Static Public Attributes inherited from osl::record::Characters
static const CArray< std::string, 32 > | stand

## Detailed Description

ロシア文字（激指フォント用）

Definition at line 158 of file kanjiPrint.h.

## Member Function Documentation

## getDan()

const std::string & osl::record::RussianCharacters::getDan | ( | const size_t | index | ) | const

inline virtual

段数の文字を返す

Implements osl::record::Characters.

Definition at line 164 of file kanjiPrint.h.

References dan.

## getPiece()

const std::string & osl::record::RussianCharacters::getPiece | ( | const size_t | index | ) | const

inline virtual

盤面上の駒を返す

Implements osl::record::Characters.

Definition at line 166 of file kanjiPrint.h.

References pieces.

## getSuji()

const std::string & osl::record::RussianCharacters::getSuji | ( | const size_t | index | ) | const

inline virtual

筋の文字を返す。駒の文字幅に合わせる必要がある。

Implements osl::record::Characters.

Definition at line 165 of file kanjiPrint.h.

References suji.

## Member Data Documentation

## dan

const osl::CArray< std::string, 10 > osl::record::RussianCharacters::dan = osl::record::StandardCharacters::dan

static

Definition at line 160 of file kanjiPrint.h.

Referenced by getDan().

## pieces

const osl::CArray< std::string, 32 > osl::record::RussianCharacters::pieces

static

Initial value:
=
{{
K_NAKAGURO, "+E",
K_PPAWN_R, K_PLANCE_R, K_PKNIGHT_R, K_PSILVER_R, K_PBISHOP_R, K_PROOK_R, K_KING_R,
K_GOLD_R, K_PAWN_R, K_LANCE_R, K_KNIGHT_R, K_SILVER_R, K_BISHOP_R, K_ROOK_R,
K_NAKAGURO, "+E",
K_PPAWN, K_PLANCE, K_PKNIGHT, K_PSILVER, K_PBISHOP, K_PROOK, K_KING,
K_GOLD, K_PAWN, K_LANCE, K_KNIGHT, K_SILVER, K_BISHOP, K_ROOK
}}
K_PSILVER
#define K_PSILVER
Definition kanjiCode.h:74
K_KNIGHT
#define K_KNIGHT
Definition kanjiCode.h:67
K_NAKAGURO
#define K_NAKAGURO
Definition kanjiCode.h:16
K_PROOK_R
#define K_PROOK_R
Definition kanjiCode.h:87
K_PLANCE
#define K_PLANCE
Definition kanjiCode.h:64
K_PLANCE_R
#define K_PLANCE_R
Definition kanjiCode.h:65
K_GOLD
#define K_GOLD
Definition kanjiCode.h:77
K_LANCE
#define K_LANCE
Definition kanjiCode.h:62
K_ROOK
#define K_ROOK
Definition kanjiCode.h:83
K_KING
#define K_KING
Definition kanjiCode.h:88
K_PAWN
#define K_PAWN
Definition kanjiCode.h:58
K_KNIGHT_R
#define K_KNIGHT_R
Definition kanjiCode.h:68
K_PPAWN_R
#define K_PPAWN_R
Definition kanjiCode.h:61
K_SILVER_R
#define K_SILVER_R
Definition kanjiCode.h:73
K_PSILVER_R
#define K_PSILVER_R
Definition kanjiCode.h:75
K_PPAWN
#define K_PPAWN
Definition kanjiCode.h:60
K_GOLD_R
#define K_GOLD_R
Definition kanjiCode.h:78
K_LANCE_R
#define K_LANCE_R
Definition kanjiCode.h:63
K_PKNIGHT_R
#define K_PKNIGHT_R
Definition kanjiCode.h:70
K_BISHOP
#define K_BISHOP
Definition kanjiCode.h:79
K_PBISHOP
#define K_PBISHOP
Definition kanjiCode.h:81
K_PKNIGHT
#define K_PKNIGHT
Definition kanjiCode.h:69
K_SILVER
#define K_SILVER
Definition kanjiCode.h:72
K_PROOK
#define K_PROOK
Definition kanjiCode.h:85
K_KING_R
#define K_KING_R
Definition kanjiCode.h:90
K_ROOK_R
#define K_ROOK_R
Definition kanjiCode.h:84
K_PBISHOP_R
#define K_PBISHOP_R
Definition kanjiCode.h:82
K_PAWN_R
#define K_PAWN_R
Definition kanjiCode.h:59
K_BISHOP_R
#define K_BISHOP_R
Definition kanjiCode.h:80

Definition at line 128 of file kanjiPrint.h.

Referenced by getPiece().

## suji

const osl::CArray< std::string, 10 > osl::record::RussianCharacters::suji = osl::record::StandardCharacters::suji

static

Definition at line 161 of file kanjiPrint.h.

Referenced by getSuji().

The documentation for this struct was generated from the following files:

- kanjiPrint.h
- kanjiPrint.cc